Makefile.in revision 271947
1# Makefile.in generated by automake 1.14 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17# $Id: Makefile.am 763 2014-02-26 16:29:16Z des $
18
19VPATH = @srcdir@
20am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
21am__make_running_with_option = \
22  case $${target_option-} in \
23      ?) ;; \
24      *) echo "am__make_running_with_option: internal error: invalid" \
25              "target option '$${target_option-}' specified" >&2; \
26         exit 1;; \
27  esac; \
28  has_opt=no; \
29  sane_makeflags=$$MAKEFLAGS; \
30  if $(am__is_gnu_make); then \
31    sane_makeflags=$$MFLAGS; \
32  else \
33    case $$MAKEFLAGS in \
34      *\\[\ \	]*) \
35        bs=\\; \
36        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
37          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
38    esac; \
39  fi; \
40  skip_next=no; \
41  strip_trailopt () \
42  { \
43    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
44  }; \
45  for flg in $$sane_makeflags; do \
46    test $$skip_next = yes && { skip_next=no; continue; }; \
47    case $$flg in \
48      *=*|--*) continue;; \
49        -*I) strip_trailopt 'I'; skip_next=yes;; \
50      -*I?*) strip_trailopt 'I';; \
51        -*O) strip_trailopt 'O'; skip_next=yes;; \
52      -*O?*) strip_trailopt 'O';; \
53        -*l) strip_trailopt 'l'; skip_next=yes;; \
54      -*l?*) strip_trailopt 'l';; \
55      -[dEDm]) skip_next=yes;; \
56      -[JT]) skip_next=yes;; \
57    esac; \
58    case $$flg in \
59      *$$target_option*) has_opt=yes; break;; \
60    esac; \
61  done; \
62  test $$has_opt = yes
63am__make_dryrun = (target_option=n; $(am__make_running_with_option))
64am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
65pkgdatadir = $(datadir)/@PACKAGE@
66pkgincludedir = $(includedir)/@PACKAGE@
67pkglibdir = $(libdir)/@PACKAGE@
68pkglibexecdir = $(libexecdir)/@PACKAGE@
69am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
70install_sh_DATA = $(install_sh) -c -m 644
71install_sh_PROGRAM = $(install_sh) -c
72install_sh_SCRIPT = $(install_sh) -c
73INSTALL_HEADER = $(INSTALL_DATA)
74transform = $(program_transform_name)
75NORMAL_INSTALL = :
76PRE_INSTALL = :
77POST_INSTALL = :
78NORMAL_UNINSTALL = :
79PRE_UNINSTALL = :
80POST_UNINSTALL = :
81build_triplet = @build@
82host_triplet = @host@
83TESTS = t_openpam_ctype$(EXEEXT) t_openpam_readword$(EXEEXT) \
84	t_openpam_readlinev$(EXEEXT)
85check_PROGRAMS = $(am__EXEEXT_1)
86subdir = t
87DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
88	$(top_srcdir)/depcomp $(noinst_HEADERS) \
89	$(top_srcdir)/test-driver
90ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
91am__aclocal_m4_deps = $(top_srcdir)/configure.ac
92am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
93	$(ACLOCAL_M4)
94mkinstalldirs = $(install_sh) -d
95CONFIG_HEADER = $(top_builddir)/config.h
96CONFIG_CLEAN_FILES =
97CONFIG_CLEAN_VPATH_FILES =
98ARFLAGS = cru
99AM_V_AR = $(am__v_AR_@AM_V@)
100am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
101am__v_AR_0 = @echo "  AR      " $@;
102am__v_AR_1 = 
103libt_a_AR = $(AR) $(ARFLAGS)
104libt_a_LIBADD =
105am_libt_a_OBJECTS = t_main.$(OBJEXT) t_file.$(OBJEXT)
106libt_a_OBJECTS = $(am_libt_a_OBJECTS)
107am__EXEEXT_1 = t_openpam_ctype$(EXEEXT) t_openpam_readword$(EXEEXT) \
108	t_openpam_readlinev$(EXEEXT)
109t_openpam_ctype_SOURCES = t_openpam_ctype.c
110t_openpam_ctype_OBJECTS = t_openpam_ctype.$(OBJEXT)
111t_openpam_ctype_LDADD = $(LDADD)
112t_openpam_ctype_DEPENDENCIES = libt.a \
113	$(top_builddir)/lib/libpam/libpam.la
114AM_V_lt = $(am__v_lt_@AM_V@)
115am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
116am__v_lt_0 = --silent
117am__v_lt_1 = 
118t_openpam_readlinev_SOURCES = t_openpam_readlinev.c
119t_openpam_readlinev_OBJECTS = t_openpam_readlinev.$(OBJEXT)
120t_openpam_readlinev_LDADD = $(LDADD)
121t_openpam_readlinev_DEPENDENCIES = libt.a \
122	$(top_builddir)/lib/libpam/libpam.la
123t_openpam_readword_SOURCES = t_openpam_readword.c
124t_openpam_readword_OBJECTS = t_openpam_readword.$(OBJEXT)
125t_openpam_readword_LDADD = $(LDADD)
126t_openpam_readword_DEPENDENCIES = libt.a \
127	$(top_builddir)/lib/libpam/libpam.la
128AM_V_P = $(am__v_P_@AM_V@)
129am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
130am__v_P_0 = false
131am__v_P_1 = :
132AM_V_GEN = $(am__v_GEN_@AM_V@)
133am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
134am__v_GEN_0 = @echo "  GEN     " $@;
135am__v_GEN_1 = 
136AM_V_at = $(am__v_at_@AM_V@)
137am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
138am__v_at_0 = @
139am__v_at_1 = 
140DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
141depcomp = $(SHELL) $(top_srcdir)/depcomp
142am__depfiles_maybe = depfiles
143am__mv = mv -f
144COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
145	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
146LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
147	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
148	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
149	$(AM_CFLAGS) $(CFLAGS)
150AM_V_CC = $(am__v_CC_@AM_V@)
151am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
152am__v_CC_0 = @echo "  CC      " $@;
153am__v_CC_1 = 
154CCLD = $(CC)
155LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
156	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
157	$(AM_LDFLAGS) $(LDFLAGS) -o $@
158AM_V_CCLD = $(am__v_CCLD_@AM_V@)
159am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
160am__v_CCLD_0 = @echo "  CCLD    " $@;
161am__v_CCLD_1 = 
162SOURCES = $(libt_a_SOURCES) t_openpam_ctype.c t_openpam_readlinev.c \
163	t_openpam_readword.c
164DIST_SOURCES = $(libt_a_SOURCES) t_openpam_ctype.c \
165	t_openpam_readlinev.c t_openpam_readword.c
166am__can_run_installinfo = \
167  case $$AM_UPDATE_INFO_DIR in \
168    n|no|NO) false;; \
169    *) (install-info --version) >/dev/null 2>&1;; \
170  esac
171HEADERS = $(noinst_HEADERS)
172am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
173# Read a list of newline-separated strings from the standard input,
174# and print each of them once, without duplicates.  Input order is
175# *not* preserved.
176am__uniquify_input = $(AWK) '\
177  BEGIN { nonempty = 0; } \
178  { items[$$0] = 1; nonempty = 1; } \
179  END { if (nonempty) { for (i in items) print i; }; } \
180'
181# Make sure the list of sources is unique.  This is necessary because,
182# e.g., the same source file might be shared among _SOURCES variables
183# for different programs/libraries.
184am__define_uniq_tagged_files = \
185  list='$(am__tagged_files)'; \
186  unique=`for i in $$list; do \
187    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
188  done | $(am__uniquify_input)`
189ETAGS = etags
190CTAGS = ctags
191am__tty_colors_dummy = \
192  mgn= red= grn= lgn= blu= brg= std=; \
193  am__color_tests=no
194am__tty_colors = { \
195  $(am__tty_colors_dummy); \
196  if test "X$(AM_COLOR_TESTS)" = Xno; then \
197    am__color_tests=no; \
198  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
199    am__color_tests=yes; \
200  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
201    am__color_tests=yes; \
202  fi; \
203  if test $$am__color_tests = yes; then \
204    red='[0;31m'; \
205    grn='[0;32m'; \
206    lgn='[1;32m'; \
207    blu='[1;34m'; \
208    mgn='[0;35m'; \
209    brg='[1m'; \
210    std='[m'; \
211  fi; \
212}
213am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
214am__vpath_adj = case $$p in \
215    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
216    *) f=$$p;; \
217  esac;
218am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
219am__install_max = 40
220am__nobase_strip_setup = \
221  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
222am__nobase_strip = \
223  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
224am__nobase_list = $(am__nobase_strip_setup); \
225  for p in $$list; do echo "$$p $$p"; done | \
226  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
227  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
228    if (++n[$$2] == $(am__install_max)) \
229      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
230    END { for (dir in files) print dir, files[dir] }'
231am__base_list = \
232  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
233  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
234am__uninstall_files_from_dir = { \
235  test -z "$$files" \
236    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
237    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
238         $(am__cd) "$$dir" && rm -f $$files; }; \
239  }
240am__recheck_rx = ^[ 	]*:recheck:[ 	]*
241am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
242am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
243# A command that, given a newline-separated list of test names on the
244# standard input, print the name of the tests that are to be re-run
245# upon "make recheck".
246am__list_recheck_tests = $(AWK) '{ \
247  recheck = 1; \
248  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
249    { \
250      if (rc < 0) \
251        { \
252          if ((getline line2 < ($$0 ".log")) < 0) \
253	    recheck = 0; \
254          break; \
255        } \
256      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
257        { \
258          recheck = 0; \
259          break; \
260        } \
261      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
262        { \
263          break; \
264        } \
265    }; \
266  if (recheck) \
267    print $$0; \
268  close ($$0 ".trs"); \
269  close ($$0 ".log"); \
270}'
271# A command that, given a newline-separated list of test names on the
272# standard input, create the global log from their .trs and .log files.
273am__create_global_log = $(AWK) ' \
274function fatal(msg) \
275{ \
276  print "fatal: making $@: " msg | "cat >&2"; \
277  exit 1; \
278} \
279function rst_section(header) \
280{ \
281  print header; \
282  len = length(header); \
283  for (i = 1; i <= len; i = i + 1) \
284    printf "="; \
285  printf "\n\n"; \
286} \
287{ \
288  copy_in_global_log = 1; \
289  global_test_result = "RUN"; \
290  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
291    { \
292      if (rc < 0) \
293         fatal("failed to read from " $$0 ".trs"); \
294      if (line ~ /$(am__global_test_result_rx)/) \
295        { \
296          sub("$(am__global_test_result_rx)", "", line); \
297          sub("[ 	]*$$", "", line); \
298          global_test_result = line; \
299        } \
300      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
301        copy_in_global_log = 0; \
302    }; \
303  if (copy_in_global_log) \
304    { \
305      rst_section(global_test_result ": " $$0); \
306      while ((rc = (getline line < ($$0 ".log"))) != 0) \
307      { \
308        if (rc < 0) \
309          fatal("failed to read from " $$0 ".log"); \
310        print line; \
311      }; \
312      printf "\n"; \
313    }; \
314  close ($$0 ".trs"); \
315  close ($$0 ".log"); \
316}'
317# Restructured Text title.
318am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
319# Solaris 10 'make', and several other traditional 'make' implementations,
320# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
321# by disabling -e (using the XSI extension "set +e") if it's set.
322am__sh_e_setup = case $$- in *e*) set +e;; esac
323# Default flags passed to test drivers.
324am__common_driver_flags = \
325  --color-tests "$$am__color_tests" \
326  --enable-hard-errors "$$am__enable_hard_errors" \
327  --expect-failure "$$am__expect_failure"
328# To be inserted before the command running the test.  Creates the
329# directory for the log if needed.  Stores in $dir the directory
330# containing $f, in $tst the test, in $log the log.  Executes the
331# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
332# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
333# will run the test scripts (or their associated LOG_COMPILER, if
334# thy have one).
335am__check_pre = \
336$(am__sh_e_setup);					\
337$(am__vpath_adj_setup) $(am__vpath_adj)			\
338$(am__tty_colors);					\
339srcdir=$(srcdir); export srcdir;			\
340case "$@" in						\
341  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
342    *) am__odir=.;; 					\
343esac;							\
344test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
345  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
346if test -f "./$$f"; then dir=./;			\
347elif test -f "$$f"; then dir=;				\
348else dir="$(srcdir)/"; fi;				\
349tst=$$dir$$f; log='$@'; 				\
350if test -n '$(DISABLE_HARD_ERRORS)'; then		\
351  am__enable_hard_errors=no; 				\
352else							\
353  am__enable_hard_errors=yes; 				\
354fi; 							\
355case " $(XFAIL_TESTS) " in				\
356  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
357    am__expect_failure=yes;;				\
358  *)							\
359    am__expect_failure=no;;				\
360esac; 							\
361$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
362# A shell command to get the names of the tests scripts with any registered
363# extension removed (i.e., equivalently, the names of the test logs, with
364# the '.log' extension removed).  The result is saved in the shell variable
365# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
366# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
367# since that might cause problem with VPATH rewrites for suffix-less tests.
368# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
369am__set_TESTS_bases = \
370  bases='$(TEST_LOGS)'; \
371  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
372  bases=`echo $$bases`
373RECHECK_LOGS = $(TEST_LOGS)
374AM_RECURSIVE_TARGETS = check recheck
375TEST_SUITE_LOG = test-suite.log
376TEST_EXTENSIONS = @EXEEXT@ .test
377LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
378LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
379am__set_b = \
380  case '$@' in \
381    */*) \
382      case '$*' in \
383        */*) b='$*';; \
384          *) b=`echo '$@' | sed 's/\.log$$//'`; \
385       esac;; \
386    *) \
387      b='$*';; \
388  esac
389am__test_logs1 = $(TESTS:=.log)
390am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
391TEST_LOGS = $(am__test_logs2:.test.log=.log)
392TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
393TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
394	$(TEST_LOG_FLAGS)
395DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
396ACLOCAL = @ACLOCAL@
397AMTAR = @AMTAR@
398AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
399AR = @AR@
400AUTOCONF = @AUTOCONF@
401AUTOHEADER = @AUTOHEADER@
402AUTOMAKE = @AUTOMAKE@
403AWK = @AWK@
404CC = @CC@
405CCDEPMODE = @CCDEPMODE@
406CFLAGS = @CFLAGS@
407CPP = @CPP@
408CPPFLAGS = @CPPFLAGS@
409CRYPTO_LIBS = @CRYPTO_LIBS@
410CRYPT_LIBS = @CRYPT_LIBS@
411CYGPATH_W = @CYGPATH_W@
412DEFS = @DEFS@
413DEPDIR = @DEPDIR@
414DLLTOOL = @DLLTOOL@
415DL_LIBS = @DL_LIBS@
416DSYMUTIL = @DSYMUTIL@
417DUMPBIN = @DUMPBIN@
418ECHO_C = @ECHO_C@
419ECHO_N = @ECHO_N@
420ECHO_T = @ECHO_T@
421EGREP = @EGREP@
422EXEEXT = @EXEEXT@
423FGREP = @FGREP@
424GREP = @GREP@
425INSTALL = @INSTALL@
426INSTALL_DATA = @INSTALL_DATA@
427INSTALL_PROGRAM = @INSTALL_PROGRAM@
428INSTALL_SCRIPT = @INSTALL_SCRIPT@
429INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
430LD = @LD@
431LDFLAGS = @LDFLAGS@
432LIBOBJS = @LIBOBJS@
433LIBS = @LIBS@
434LIBTOOL = @LIBTOOL@
435LIB_MAJ = @LIB_MAJ@
436LIPO = @LIPO@
437LN_S = @LN_S@
438LTLIBOBJS = @LTLIBOBJS@
439MAKEINFO = @MAKEINFO@
440MANIFEST_TOOL = @MANIFEST_TOOL@
441MKDIR_P = @MKDIR_P@
442NM = @NM@
443NMEDIT = @NMEDIT@
444OBJDUMP = @OBJDUMP@
445OBJEXT = @OBJEXT@
446OPENPAM_MODULES_DIR = @OPENPAM_MODULES_DIR@
447OTOOL = @OTOOL@
448OTOOL64 = @OTOOL64@
449PACKAGE = @PACKAGE@
450PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
451PACKAGE_NAME = @PACKAGE_NAME@
452PACKAGE_STRING = @PACKAGE_STRING@
453PACKAGE_TARNAME = @PACKAGE_TARNAME@
454PACKAGE_URL = @PACKAGE_URL@
455PACKAGE_VERSION = @PACKAGE_VERSION@
456PATH_SEPARATOR = @PATH_SEPARATOR@
457RANLIB = @RANLIB@
458SED = @SED@
459SET_MAKE = @SET_MAKE@
460SHELL = @SHELL@
461STRIP = @STRIP@
462VERSION = @VERSION@
463abs_builddir = @abs_builddir@
464abs_srcdir = @abs_srcdir@
465abs_top_builddir = @abs_top_builddir@
466abs_top_srcdir = @abs_top_srcdir@
467ac_ct_AR = @ac_ct_AR@
468ac_ct_CC = @ac_ct_CC@
469ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
470am__include = @am__include@
471am__leading_dot = @am__leading_dot@
472am__quote = @am__quote@
473am__tar = @am__tar@
474am__untar = @am__untar@
475bindir = @bindir@
476build = @build@
477build_alias = @build_alias@
478build_cpu = @build_cpu@
479build_os = @build_os@
480build_vendor = @build_vendor@
481builddir = @builddir@
482datadir = @datadir@
483datarootdir = @datarootdir@
484docdir = @docdir@
485dvidir = @dvidir@
486exec_prefix = @exec_prefix@
487host = @host@
488host_alias = @host_alias@
489host_cpu = @host_cpu@
490host_os = @host_os@
491host_vendor = @host_vendor@
492htmldir = @htmldir@
493includedir = @includedir@
494infodir = @infodir@
495install_sh = @install_sh@
496libdir = @libdir@
497libexecdir = @libexecdir@
498localedir = @localedir@
499localstatedir = @localstatedir@
500mandir = @mandir@
501mkdir_p = @mkdir_p@
502oldincludedir = @oldincludedir@
503pdfdir = @pdfdir@
504prefix = @prefix@
505program_transform_name = @program_transform_name@
506psdir = @psdir@
507sbindir = @sbindir@
508sharedstatedir = @sharedstatedir@
509srcdir = @srcdir@
510sysconfdir = @sysconfdir@
511target_alias = @target_alias@
512top_build_prefix = @top_build_prefix@
513top_builddir = @top_builddir@
514top_srcdir = @top_srcdir@
515AM_CPPFLAGS = -I$(top_srcdir)/include -I$(top_srcdir)/lib/libpam
516noinst_HEADERS = t.h
517
518# libt - common support code
519check_LIBRARIES = libt.a
520libt_a_SOURCES = t_main.c t_file.c
521
522# link with libpam and libt
523LDADD = libt.a $(top_builddir)/lib/libpam/libpam.la
524all: all-am
525
526.SUFFIXES:
527.SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
528$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
529	@for dep in $?; do \
530	  case '$(am__configure_deps)' in \
531	    *$$dep*) \
532	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
533	        && { if test -f $@; then exit 0; else break; fi; }; \
534	      exit 1;; \
535	  esac; \
536	done; \
537	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign t/Makefile'; \
538	$(am__cd) $(top_srcdir) && \
539	  $(AUTOMAKE) --foreign t/Makefile
540.PRECIOUS: Makefile
541Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
542	@case '$?' in \
543	  *config.status*) \
544	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
545	  *) \
546	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
547	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
548	esac;
549
550$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
551	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
552
553$(top_srcdir)/configure:  $(am__configure_deps)
554	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
555$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
556	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
557$(am__aclocal_m4_deps):
558
559clean-checkLIBRARIES:
560	-test -z "$(check_LIBRARIES)" || rm -f $(check_LIBRARIES)
561
562libt.a: $(libt_a_OBJECTS) $(libt_a_DEPENDENCIES) $(EXTRA_libt_a_DEPENDENCIES) 
563	$(AM_V_at)-rm -f libt.a
564	$(AM_V_AR)$(libt_a_AR) libt.a $(libt_a_OBJECTS) $(libt_a_LIBADD)
565	$(AM_V_at)$(RANLIB) libt.a
566
567clean-checkPROGRAMS:
568	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
569	echo " rm -f" $$list; \
570	rm -f $$list || exit $$?; \
571	test -n "$(EXEEXT)" || exit 0; \
572	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
573	echo " rm -f" $$list; \
574	rm -f $$list
575
576t_openpam_ctype$(EXEEXT): $(t_openpam_ctype_OBJECTS) $(t_openpam_ctype_DEPENDENCIES) $(EXTRA_t_openpam_ctype_DEPENDENCIES) 
577	@rm -f t_openpam_ctype$(EXEEXT)
578	$(AM_V_CCLD)$(LINK) $(t_openpam_ctype_OBJECTS) $(t_openpam_ctype_LDADD) $(LIBS)
579
580t_openpam_readlinev$(EXEEXT): $(t_openpam_readlinev_OBJECTS) $(t_openpam_readlinev_DEPENDENCIES) $(EXTRA_t_openpam_readlinev_DEPENDENCIES) 
581	@rm -f t_openpam_readlinev$(EXEEXT)
582	$(AM_V_CCLD)$(LINK) $(t_openpam_readlinev_OBJECTS) $(t_openpam_readlinev_LDADD) $(LIBS)
583
584t_openpam_readword$(EXEEXT): $(t_openpam_readword_OBJECTS) $(t_openpam_readword_DEPENDENCIES) $(EXTRA_t_openpam_readword_DEPENDENCIES) 
585	@rm -f t_openpam_readword$(EXEEXT)
586	$(AM_V_CCLD)$(LINK) $(t_openpam_readword_OBJECTS) $(t_openpam_readword_LDADD) $(LIBS)
587
588mostlyclean-compile:
589	-rm -f *.$(OBJEXT)
590
591distclean-compile:
592	-rm -f *.tab.c
593
594@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_file.Po@am__quote@
595@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_main.Po@am__quote@
596@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_openpam_ctype.Po@am__quote@
597@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_openpam_readlinev.Po@am__quote@
598@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_openpam_readword.Po@am__quote@
599
600.c.o:
601@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
602@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
603@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
604@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
605@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
606
607.c.obj:
608@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
609@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
610@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
611@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
612@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
613
614.c.lo:
615@am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
616@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
617@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
618@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
619@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
620
621mostlyclean-libtool:
622	-rm -f *.lo
623
624clean-libtool:
625	-rm -rf .libs _libs
626
627ID: $(am__tagged_files)
628	$(am__define_uniq_tagged_files); mkid -fID $$unique
629tags: tags-am
630TAGS: tags
631
632tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
633	set x; \
634	here=`pwd`; \
635	$(am__define_uniq_tagged_files); \
636	shift; \
637	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
638	  test -n "$$unique" || unique=$$empty_fix; \
639	  if test $$# -gt 0; then \
640	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
641	      "$$@" $$unique; \
642	  else \
643	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
644	      $$unique; \
645	  fi; \
646	fi
647ctags: ctags-am
648
649CTAGS: ctags
650ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
651	$(am__define_uniq_tagged_files); \
652	test -z "$(CTAGS_ARGS)$$unique" \
653	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
654	     $$unique
655
656GTAGS:
657	here=`$(am__cd) $(top_builddir) && pwd` \
658	  && $(am__cd) $(top_srcdir) \
659	  && gtags -i $(GTAGS_ARGS) "$$here"
660cscopelist: cscopelist-am
661
662cscopelist-am: $(am__tagged_files)
663	list='$(am__tagged_files)'; \
664	case "$(srcdir)" in \
665	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
666	  *) sdir=$(subdir)/$(srcdir) ;; \
667	esac; \
668	for i in $$list; do \
669	  if test -f "$$i"; then \
670	    echo "$(subdir)/$$i"; \
671	  else \
672	    echo "$$sdir/$$i"; \
673	  fi; \
674	done >> $(top_builddir)/cscope.files
675
676distclean-tags:
677	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
678
679# Recover from deleted '.trs' file; this should ensure that
680# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
681# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
682# to avoid problems with "make -n".
683.log.trs:
684	rm -f $< $@
685	$(MAKE) $(AM_MAKEFLAGS) $<
686
687# Leading 'am--fnord' is there to ensure the list of targets does not
688# expand to empty, as could happen e.g. with make check TESTS=''.
689am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
690am--force-recheck:
691	@:
692
693$(TEST_SUITE_LOG): $(TEST_LOGS)
694	@$(am__set_TESTS_bases); \
695	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
696	redo_bases=`for i in $$bases; do \
697	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
698	            done`; \
699	if test -n "$$redo_bases"; then \
700	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
701	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
702	  if $(am__make_dryrun); then :; else \
703	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
704	  fi; \
705	fi; \
706	if test -n "$$am__remaking_logs"; then \
707	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
708	       "recursion detected" >&2; \
709	else \
710	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
711	fi; \
712	if $(am__make_dryrun); then :; else \
713	  st=0;  \
714	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
715	  for i in $$redo_bases; do \
716	    test -f $$i.trs && test -r $$i.trs \
717	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
718	    test -f $$i.log && test -r $$i.log \
719	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
720	  done; \
721	  test $$st -eq 0 || exit 1; \
722	fi
723	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
724	ws='[ 	]'; \
725	results=`for b in $$bases; do echo $$b.trs; done`; \
726	test -n "$$results" || results=/dev/null; \
727	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
728	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
729	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
730	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
731	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
732	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
733	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
734	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
735	  success=true; \
736	else \
737	  success=false; \
738	fi; \
739	br='==================='; br=$$br$$br$$br$$br; \
740	result_count () \
741	{ \
742	    if test x"$$1" = x"--maybe-color"; then \
743	      maybe_colorize=yes; \
744	    elif test x"$$1" = x"--no-color"; then \
745	      maybe_colorize=no; \
746	    else \
747	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
748	    fi; \
749	    shift; \
750	    desc=$$1 count=$$2; \
751	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
752	      color_start=$$3 color_end=$$std; \
753	    else \
754	      color_start= color_end=; \
755	    fi; \
756	    echo "$${color_start}# $$desc $$count$${color_end}"; \
757	}; \
758	create_testsuite_report () \
759	{ \
760	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
761	  result_count $$1 "PASS: " $$pass  "$$grn"; \
762	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
763	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
764	  result_count $$1 "FAIL: " $$fail  "$$red"; \
765	  result_count $$1 "XPASS:" $$xpass "$$red"; \
766	  result_count $$1 "ERROR:" $$error "$$mgn"; \
767	}; \
768	{								\
769	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
770	    $(am__rst_title);						\
771	  create_testsuite_report --no-color;				\
772	  echo;								\
773	  echo ".. contents:: :depth: 2";				\
774	  echo;								\
775	  for b in $$bases; do echo $$b; done				\
776	    | $(am__create_global_log);					\
777	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
778	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
779	if $$success; then						\
780	  col="$$grn";							\
781	 else								\
782	  col="$$red";							\
783	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
784	fi;								\
785	echo "$${col}$$br$${std}"; 					\
786	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
787	echo "$${col}$$br$${std}"; 					\
788	create_testsuite_report --maybe-color;				\
789	echo "$$col$$br$$std";						\
790	if $$success; then :; else					\
791	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
792	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
793	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
794	  fi;								\
795	  echo "$$col$$br$$std";					\
796	fi;								\
797	$$success || exit 1
798
799check-TESTS:
800	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
801	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
802	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
803	@set +e; $(am__set_TESTS_bases); \
804	log_list=`for i in $$bases; do echo $$i.log; done`; \
805	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
806	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
807	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
808	exit $$?;
809recheck: all $(check_LIBRARIES) $(check_PROGRAMS)
810	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
811	@set +e; $(am__set_TESTS_bases); \
812	bases=`for i in $$bases; do echo $$i; done \
813	         | $(am__list_recheck_tests)` || exit 1; \
814	log_list=`for i in $$bases; do echo $$i.log; done`; \
815	log_list=`echo $$log_list`; \
816	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
817	        am__force_recheck=am--force-recheck \
818	        TEST_LOGS="$$log_list"; \
819	exit $$?
820t_openpam_ctype.log: t_openpam_ctype$(EXEEXT)
821	@p='t_openpam_ctype$(EXEEXT)'; \
822	b='t_openpam_ctype'; \
823	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
824	--log-file $$b.log --trs-file $$b.trs \
825	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
826	"$$tst" $(AM_TESTS_FD_REDIRECT)
827t_openpam_readword.log: t_openpam_readword$(EXEEXT)
828	@p='t_openpam_readword$(EXEEXT)'; \
829	b='t_openpam_readword'; \
830	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
831	--log-file $$b.log --trs-file $$b.trs \
832	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
833	"$$tst" $(AM_TESTS_FD_REDIRECT)
834t_openpam_readlinev.log: t_openpam_readlinev$(EXEEXT)
835	@p='t_openpam_readlinev$(EXEEXT)'; \
836	b='t_openpam_readlinev'; \
837	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
838	--log-file $$b.log --trs-file $$b.trs \
839	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
840	"$$tst" $(AM_TESTS_FD_REDIRECT)
841.test.log:
842	@p='$<'; \
843	$(am__set_b); \
844	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
845	--log-file $$b.log --trs-file $$b.trs \
846	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
847	"$$tst" $(AM_TESTS_FD_REDIRECT)
848@am__EXEEXT_TRUE@.test$(EXEEXT).log:
849@am__EXEEXT_TRUE@	@p='$<'; \
850@am__EXEEXT_TRUE@	$(am__set_b); \
851@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
852@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
853@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
854@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
855
856distdir: $(DISTFILES)
857	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
858	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
859	list='$(DISTFILES)'; \
860	  dist_files=`for file in $$list; do echo $$file; done | \
861	  sed -e "s|^$$srcdirstrip/||;t" \
862	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
863	case $$dist_files in \
864	  */*) $(MKDIR_P) `echo "$$dist_files" | \
865			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
866			   sort -u` ;; \
867	esac; \
868	for file in $$dist_files; do \
869	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
870	  if test -d $$d/$$file; then \
871	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
872	    if test -d "$(distdir)/$$file"; then \
873	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
874	    fi; \
875	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
876	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
877	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
878	    fi; \
879	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
880	  else \
881	    test -f "$(distdir)/$$file" \
882	    || cp -p $$d/$$file "$(distdir)/$$file" \
883	    || exit 1; \
884	  fi; \
885	done
886check-am: all-am
887	$(MAKE) $(AM_MAKEFLAGS) $(check_LIBRARIES) $(check_PROGRAMS)
888	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
889check: check-am
890all-am: Makefile $(HEADERS)
891installdirs:
892install: install-am
893install-exec: install-exec-am
894install-data: install-data-am
895uninstall: uninstall-am
896
897install-am: all-am
898	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
899
900installcheck: installcheck-am
901install-strip:
902	if test -z '$(STRIP)'; then \
903	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
904	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
905	      install; \
906	else \
907	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
908	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
909	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
910	fi
911mostlyclean-generic:
912	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
913	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
914	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
915
916clean-generic:
917
918distclean-generic:
919	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
920	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
921
922maintainer-clean-generic:
923	@echo "This command is intended for maintainers to use"
924	@echo "it deletes files that may require special tools to rebuild."
925clean: clean-am
926
927clean-am: clean-checkLIBRARIES clean-checkPROGRAMS clean-generic \
928	clean-libtool mostlyclean-am
929
930distclean: distclean-am
931	-rm -rf ./$(DEPDIR)
932	-rm -f Makefile
933distclean-am: clean-am distclean-compile distclean-generic \
934	distclean-tags
935
936dvi: dvi-am
937
938dvi-am:
939
940html: html-am
941
942html-am:
943
944info: info-am
945
946info-am:
947
948install-data-am:
949
950install-dvi: install-dvi-am
951
952install-dvi-am:
953
954install-exec-am:
955
956install-html: install-html-am
957
958install-html-am:
959
960install-info: install-info-am
961
962install-info-am:
963
964install-man:
965
966install-pdf: install-pdf-am
967
968install-pdf-am:
969
970install-ps: install-ps-am
971
972install-ps-am:
973
974installcheck-am:
975
976maintainer-clean: maintainer-clean-am
977	-rm -rf ./$(DEPDIR)
978	-rm -f Makefile
979maintainer-clean-am: distclean-am maintainer-clean-generic
980
981mostlyclean: mostlyclean-am
982
983mostlyclean-am: mostlyclean-compile mostlyclean-generic \
984	mostlyclean-libtool
985
986pdf: pdf-am
987
988pdf-am:
989
990ps: ps-am
991
992ps-am:
993
994uninstall-am:
995
996.MAKE: check-am install-am install-strip
997
998.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
999	clean-checkLIBRARIES clean-checkPROGRAMS clean-generic \
1000	clean-libtool cscopelist-am ctags ctags-am distclean \
1001	distclean-compile distclean-generic distclean-libtool \
1002	distclean-tags distdir dvi dvi-am html html-am info info-am \
1003	install install-am install-data install-data-am install-dvi \
1004	install-dvi-am install-exec install-exec-am install-html \
1005	install-html-am install-info install-info-am install-man \
1006	install-pdf install-pdf-am install-ps install-ps-am \
1007	install-strip installcheck installcheck-am installdirs \
1008	maintainer-clean maintainer-clean-generic mostlyclean \
1009	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1010	pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1011	uninstall-am
1012
1013
1014# Tell versions [3.59,3.63) of GNU make to not export all variables.
1015# Otherwise a system limit (for SysV at least) may be exceeded.
1016.NOEXPORT:
1017